/* c-basic-offset: 2; tab-width: 2; indent-tabs-mode: nil
 * vi: set shiftwidth=2 tabstop=2 expandtab:
 * :indentSize=2:tabSize=2:noTabs=true:
 */

package beans;

import javax.faces.bean.*;
import common.*;

import javax.inject.Inject;
import javax.persistence.*;


@ManagedBean
@SessionScoped
public class
LoginBean {

  private String pw_hash;
  private String user_name;

  @Inject
  EntityManager em;

  private boolean is_logged_in = false;

  private UserTypeEnum user_type = UserTypeEnum.NONE;

/****************************************************************************/

  public void
  setPassword (String s) {
    this.pw_hash = Utils.hash_func(s);
  }

  public String
  getPassword () {
    return null;
  }

  public void
  setUserName (String s) {
    this.user_name = s;
  }

  public UserTypeEnum
  getUserType () {
    return this.user_type;
  }
/****************************************************************************/

  public void
  studentLogin () {
    
  }

  public void
  staffLogin () {
  
  }

  public void
  logout () {
    this.user_name = null;
    this.user_type = UserTypeEnum.NONE;
    this.is_logged_in = false;
    this.pw_hash = null;
  }

}
